Package edu.msu.cme.rdp.classifier.comparison

# Class TaxonTree

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.AbstractNode
edu.msu.cme.rdp.classifier.comparison.TaxonTree

All Implemented Interfaces:
  `ComparisonBrowserNode`, `Taxon`

public class TaxonTree extends AbstractNode

## Constructor Summary

Constructors
Constructor
Description
`TaxonTree(int id, String name, String rank, AbstractNode p)`
Creates a new instance of TaxonTree

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addChild(AbstractNode n)`
`protected void`
`addS1Score(Score s)`
`protected void`
`addS2Score(Score s)`
`void`
`changeConfidence(SigCalculator cal)`
calculate the count of sequences assigned to the node, only count the sequence with score for that node greater or equal to confidence cutoff value
`ComparisonBrowserNode`
`findNode(int id)`
returns a node with the given taxid if found.
`Iterator`
`getDetailIterator(float conf)`
`String`
`getName()`
`String`
`getRank()`
`int`
`getTaxid()`

### Methods inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode

`getDoubleSignificance, getIndent, getLineageIterator, getS1Count, getS2Count, getSignificance, getTaxonIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaxonTree

public TaxonTree(int id, String name, String rank, AbstractNode p)
Creates a new instance of TaxonTree

## Method Details

### getDetailIterator

public Iterator getDetailIterator(float conf)

Specified by:
  `getDetailIterator` in interface `ComparisonBrowserNode`
Specified by:
  `getDetailIterator` in class `AbstractNode`

### getName

public String getName()

Specified by:
  `getName` in interface `Taxon`
Specified by:
  `getName` in class `AbstractNode`

### getRank

public String getRank()

Specified by:
  `getRank` in interface `Taxon`
Specified by:
  `getRank` in class `AbstractNode`

### getTaxid

public int getTaxid()

Specified by:
  `getTaxid` in interface `Taxon`
Specified by:
  `getTaxid` in class `AbstractNode`

### addChild

protected void addChild(AbstractNode n)

### addS1Score

protected void addS1Score(Score s)

### addS2Score

protected void addS2Score(Score s)

### changeConfidence

public void changeConfidence(SigCalculator cal)
calculate the count of sequences assigned to the node, only count the sequence with score for that node greater or equal to confidence cutoff value

Specified by:
  `changeConfidence` in interface `ComparisonBrowserNode`
Specified by:
  `changeConfidence` in class `AbstractNode`

### findNode

public ComparisonBrowserNode findNode(int id)
returns a node with the given taxid if found. returns null if not found.

Specified by:
  `findNode` in interface `ComparisonBrowserNode`
Specified by:
  `findNode` in class `AbstractNode`